List network policies.
curl --request GET \
--url https://a.s2.dev/v1/network-policies \
--header 'Authorization: Bearer <token>'{
"has_more": true,
"network_policies": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"policy": {
"private_net": {
"aws": {
"vpce_ids": [
"<string>"
]
}
},
"public_net": {
"cidrs": [
"<string>"
]
}
},
"slug": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}network policies
List network policies.
List S2 network policies with prefix filtering and cursor-based pagination.
GET
/
network-policies
List network policies.
curl --request GET \
--url https://a.s2.dev/v1/network-policies \
--header 'Authorization: Bearer <token>'{
"has_more": true,
"network_policies": [
{
"created_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"policy": {
"private_net": {
"aws": {
"vpce_ids": [
"<string>"
]
}
},
"public_net": {
"cidrs": [
"<string>"
]
}
},
"slug": "<string>"
}
]
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Network policy concepts
Review how rules are evaluated, how tokens are bound, and how to debug denied requests.
Model paging by specifying
start_after as the last slug that was returned.
